升级Yosemite

总是挡不住升级的诱惑,即使总会有这样或那样的问题。在看了MacTalk的文章“OSX Yosemite,焕然一新”后,觉得也差不多,就开始升级了。

备份,下载Yosemite,安装,一切顺利,周五晚上就成功升级到Yosemite了。想想太顺利了,开始折腾应用,然后悲剧就发生了。

升级后,提示有四个应用不兼容Yosemite:

  • Glims
  • SogouIM
  • Trim Enabler
  • Kindle

没当回事,前两个我都不记得是什么了,到时删掉得了。Trim Enabler是为了提升SSD硬盘的读写性能的,针对非苹果原装的SSD,我上次给机器在光驱位装了个SSD之后用了这个软件,于是鬼使神差就把原来老的Trim Enabler应用运行,再Enable一下,提示需要重启生效,然后就悲剧了。机器重启登录后一个大大的停止图标。

再之后查问题,发现这个问题搞起来还是有点复杂,折腾良久无果,最后我还是恢复到了原先的10.9,再重新做了一次升级。等搞明白或者有稳定的解决方案再说。

升级后处理的问题简单整理一下:

  • QQ拼音打字在从候选字列表中选自时经常出错,比如是打“一堆”,暂时用原生的输入法。
  • Homebrew更新后安装MacVim,提示“checking uint32_t is 32 bits… configure: error: WRONG! uint32_t not defined correctly.”错误,参见macvim install failed in 10.10 #33357,需要把XCode升级到6.1。升级后安装成功,再brew linkapps安装到/Applications 即可。

最迫切的就是Google Chrome和Trim Enabler了,暂时先不折腾了。

升级后的体验还得慢慢来,但升级后最想用的iOS协作却发现我的MacBook Pro太老了,都无法支持,呜呜。简单说一下:Yosemite和iOS协作最大的提升就是AirDrop在Mac和iOS设备间的共享、HandOff功能实现应用的无缝切换,不过不幸的是这两个功能都需要蓝牙4.0的支持,而我的MacBook Pro是2011年的,不支持蓝牙4.0。当然也有牛人替换了老设备的蓝牙,实现了黑、白苹果开Handoff教程 - ME294GM3亲测可用

想要知道自己的设备是否支持蓝牙4.0,可以在”About This Mac”点”System report”,查看“Bluetooth”即可。 如果知道自己的设备年限,大致可参考OS X Yosemite 的 Handoff 功能可能不支持所有 Mac,其中说到:

由于Continuity 的 Handoff 功能需要蓝牙4.0才能正常工作,这意味着并不是所有安装 OS X Yosemite 的 Mac 电脑都能用上 Handoff。2011年中期之后的 MacBook Air、2012年中期之后的 MacBook Pro、2012年末的 iMac、2011年中期的 Mac mini 和2013年末的 Mac Pro 才支持蓝牙4.0。